%define  name     impress
%define  version  1.1beta9
%define  release  2mdk

Summary: 	WYSIWYG desktop publishing for Linux/Unix in Tk/Tcl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Publishing
URL: 		http://www.ntlug.org/~ccox/impress/
Source: 	http://www.ntlug.org/~ccox/impress/imp1.1b.tar.bz2
Buildarch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	tcl >= 8.0

%description
ImPress is a WYSIWYG layout program designed especially for Linux. It allows
you to create presentations and Postscript documents using fully scalable
graphics similar to programs like Macromedia Freehand, Corel Draw, Adobe
Illustrator and Visio. It is different from raster graphics packages like
gimp, Adobe Photoshop and Jasc's Paint Shop Pro in that it deals with
graphics objects which can be manipulated on a canvas rather than just
layers of paint.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-1.1-beta/

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 impress.tcl $RPM_BUILD_ROOT%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/impress.tcl"\
title="Impress"\
longtitle="WYSIWYG layout program"\
needs="x11"\
icon="publishing_section.png"\
section="Applications/Publishing"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYING README
%{_bindir}/*
%{_libdir}/menu/*


%changelog
* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1beta9-2mdk
- Fix entry menu

* Wed Aug 01 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.1beta9-1mdk
- updated to 1.1beta9

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1beta-3mdk
- New office menu structure

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1beta-2mdk
- macros
- BM
- menu

* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1beta-1mdk
- fix install 
- fix requires
- add deffattr

* Thu Jul 20 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.1beta-1mdk
  - fixed group
 
* Thu May 11 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.0beta (new packaging)  
